Status: Resolved Start date: 2011-03-22
Priority: Could have Due date:

Assignee: Karsten Dambekalns % Done: 100%
Category: Package Estimated time: 0.00 hour
Target version: 1.0 beta 1
Has patch:

Description

Looks like there is some kind of problem with recursive deleting files.
After typing ./flow3 package delete Packagekey i receive

Uncaught Exception in FLOW3 #1: Warning:
rmdir(/var/www/flow/public/Packages/Application/Offices/Resources/Private/Templates/Office): Directory not empty in
/var/www/flow/public/Packages/Framework/FLOW3/Classes/Utility/Files.php line 140

thrown in file Packages/Framework/FLOW3/Classes/Error/ErrorHandler.php

in line 82

Offices is my test package key.
It looks like it is tring to use rm with out -R parameter

Related issues:
Related to TYPO3.Flow - Bug #25472: Files::emptyDirectoryRecursively() cannot... Resolved 2011-03-30

Associated revisions

Revision ee876fda - 2011-04-07 10:15 - Karsten Dambekalns
[BUGFIX] (Package) Clear message when package dir cannot be deleted

When the removal of a package directory fails, throw an exception that
hints at file permissions as a possible cause.

Fixes: #13979
Change-ld: 1445530204cbe7413879b3130610ebc8ba3ab685f

History

#1 - 2011-03-30 10:03 - Karsten Dambekalns
- Category set to Package

- Status changed from New to Accepted

- Assignee set to Karsten Dambekalns

- Priority changed from Must have to Could have

No, it tries to do the right thing, but fails to remove some items due to permission problems. Thus some files are left and the rmdir() fails.

Solution: catch those errors and emit a more helpful message.

#2 - 2011-03-30 15:40 - Karsten Dambekalns

- Target version set to 1.0 beta 1

Another possible cause: there is a .svn or .git directory in your package directory. That cannot be deleted right now, see #25472.

#3 - 2011-03-30 15:42 - Mr. Hudson

Patch set 1 of change 1445530204cbe7413879b3130610ebc8ba3ab685f has been pushed to the review server.
It is available at http://review.typo3.org/1326
#4 - 2011-03-30 15:46 - Mr. Hudson

Patch set 2 of change 1445530204cbe7413879b3130610ebc8ba3ab685f has been pushed to the review server.
It is available at http://review.typo3.org/1326

#5 - 2011-03-30 15:50 - Karsten Dambekalns

- Status changed from Accepted to Under Review

#6 - 2011-03-31 11:05 - Dawid

Hi guys, thanks for checking.

First of all..no .svn or .git folders where there. For sure

Priviliges also shouldn’t be a problem because all Packages for test had chmod 777 recursivly for all folders. So | think that those two basic things
ain’t relevant

#7 - 2011-04-07 08:19 - Mr. Hudson

Patch set 3 of change 1445530204cbe7413879b3130610ebc8ba3ab685f has been pushed to the review server.
It is available at http:/review.typo3.org/1326

#8 - 2011-04-07 10:15 - Mr. Hudson

Patch set 4 of change 1445530204cbe7413879b3130610ebc8ba3ab685f has been pushed to the review server.
It is available at http://review.typo3.org/1326

#9 - 2011-04-11 12:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset ee876fdaf524e55cf0fce90283f02271985cfc15.
